FreqLessThan Struct Reference

## Public Member Functions

bool | operator() (unsigned int lhs, const HuffmanNode &rhs)
bool | operator() (const HuffmanNode &lhs, const HuffmanNode &rhs) const
bool | operator() (const HuffmanNode &lhs, unsigned int rhs)

## Detailed Description

Definition at line 117 of file zdeflate.cpp.

## Member Function Documentation

## operator()() [1/3]

bool FreqLessThan::operator() | ( | unsigned int | lhs,
|  | const HuffmanNode & | rhs
| ) |  |

inline

Definition at line 119 of file zdeflate.cpp.

## operator()() [2/3]

bool FreqLessThan::operator() | ( | const HuffmanNode & | lhs,
|  | const HuffmanNode & | rhs
| ) |  | const

inline

Definition at line 120 of file zdeflate.cpp.

## operator()() [3/3]

bool FreqLessThan::operator() | ( | const HuffmanNode & | lhs,
|  | unsigned int | rhs
| ) |  |

inline

Definition at line 122 of file zdeflate.cpp.

The documentation for this struct was generated from the following file:

- zdeflate.cpp